summaryrefslogtreecommitdiff
path: root/tests/raw-single-file.setup
diff options
context:
space:
mode:
Diffstat (limited to 'tests/raw-single-file.setup')
-rwxr-xr-xtests/raw-single-file.setup43
1 files changed, 43 insertions, 0 deletions
diff --git a/tests/raw-single-file.setup b/tests/raw-single-file.setup
new file mode 100755
index 0000000..dde24c1
--- /dev/null
+++ b/tests/raw-single-file.setup
@@ -0,0 +1,43 @@
+#!/bin/sh
+#
+# Creates a raw file and corresponding lorry file.
+#
+# Copyright (C) 2022 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -e
+
+# create the raw file directory
+repo="$DATADIR/raw-single-file-repo"
+mkdir "$repo"
+echo "first line" > "$repo/test.txt"
+
+# create the .lorry file for the raw file
+cat <<EOF > $DATADIR/raw-single-file.lorry
+{
+ "single-file-repo": {
+ "type": "raw-file",
+ "urls": [
+ {
+ "url": "file://$repo/test.txt",
+ "destination": "subdir_test"
+ }
+ ]
+ }
+}
+EOF
+
+# create the working directory
+test -d "$DATADIR/work-dir" || mkdir "$DATADIR/work-dir"